CREATE TABLE `domain` (`id` bigint(20) NOT NULL AUTO_INCREMENT,`name` varchar(255) NOT NULL,PRIMARY KEY (`id`),UNIQUE KEY `name` (`name`));
insert into domain (name) values ('smclient');
insert into domain (name) values ('ech0058v4');

CREATE TABLE configuration (keycolumn VARCHAR(255) NOT NULL, confValue VARCHAR(255), sedexId VARCHAR(255), domain_id BIGINT(20) NOT NULL, PRIMARY KEY (sedexId, keycolumn, domain_id));
--  Global Configuration domain and sedex needs to exist but it does not matter on which mandant and domain
INSERT INTO configuration (domain_id, keycolumn, confvalue, sedexid ) VALUES  ( (select id from domain where name like 'smclient'), 'global-config.location', '$INSTALL_PATH/config/global-config.properties', '$sedexId' );

INSERT INTO configuration VALUES('config.location','$INSTALL_PATH/config/config.properties','$sedexId',(select id from domain where name like 'smclient'));
INSERT INTO configuration VALUES('message-handler.location','$INSTALL_PATH/config/message-handler.properties','$sedexId',(select id from domain where name like 'smclient'));
INSERT INTO configuration VALUES('repository.location','$INSTALL_PATH/config/repository.properties','$sedexId',(select id from domain where name like 'smclient'));
INSERT INTO configuration VALUES('formservice.location','$INSTALL_PATH/config/formservice.properties','$sedexId',(select id from domain where name like 'smclient'));
INSERT INTO configuration VALUES('rules.location','$INSTALL_PATH/config/rules.xml','$sedexId',(select id from domain where name like 'smclient'));
INSERT INTO configuration VALUES('timeout.time','30','$sedexId',(select id from domain where name like 'smclient'));
INSERT INTO configuration VALUES('keep.deleted.time','10','$sedexId',(select id from domain where name like 'smclient'));
INSERT INTO configuration VALUES('message-handler.location','$INSTALL_PATH/config/message-handler-ech0058v4.properties','$sedexId',(select id from domain where name like 'ech0058v4'));

CREATE TABLE smRole (
	id BIGINT NOT NULL AUTO_INCREMENT,
	name VARCHAR(255),
	description VARCHAR(255),
	PRIMARY KEY (id)
);
INSERT INTO smRole (`name`, `description`) VALUES ('Admin', 'Administrator');
INSERT INTO smRole (`name`, `description`) VALUES ('ActiveUser', 'Active User (Sender)');
INSERT INTO smRole (`name`, `description`) VALUES ('PassiveUser', 'Passive User (Receiver)');
CREATE TABLE smUser (
   id BIGINT NOT NULL AUTO_INCREMENT, 
   username VARCHAR(255) NOT NULL, 
   password VARCHAR(255) NOT NULL, 
   firstname VARCHAR(255), 
   lastname VARCHAR(255), 
   defaultLanguage VARCHAR(255) NOT NULL, 
   logicSedexId VARCHAR(255), 
   sedexId VARCHAR(255), 
	PRIMARY KEY (id)
);

INSERT INTO smUser (`username`, `password`, `firstname`, `lastname`, `defaultLanguage`, `sedexId`) VALUES ('Admin', '46/tAEewgFnQ+toQ9ADB5Q==', 'administrator', 'administrator', 'de', '$sedexId');
CREATE TABLE smUser_smRole (
	smUser_id BIGINT NOT NULL,
	role_id BIGINT NOT NULL
);
INSERT INTO smUser_smRole (`smUser_id`,`role_id`) VALUES ((SELECT id FROM smUser WHERE username='Admin'), (SELECT id FROM smRole WHERE name='Admin'));
CREATE TABLE smMandant (
   sedexId VARCHAR(255) NOT NULL, 
   `name` VARCHAR(255), 
   active BIT(1), 
   PRIMARY KEY (sedexId)
);
INSERT INTO smMandant (sedexId, `name`, active) VALUES ('$sedexId', 'My Mandant', true);
